import request from "@/utils/request";


/**
 * 查询歌曲列表
 * @returns
 */
export function tbShopSonglist(params) {
  return request({
    url: "/api/tbShopSong",
    method: "get",
    params: {
      shopId: localStorage.getItem("shopId"),
      ...params
    }
  });
}
/**
 * 新增歌曲
 * @returns
 */
export function tbShopSongAdd(data) {
  return request({
    url: "/api/tbShopSong",
    method: "post",
    data: {
      shopId: localStorage.getItem("shopId"),
      ...data
    }
  });
}

/**
 * 修改歌曲
 * @returns
 */
export function tbShopSongEdit(data) {
  return request({
    url: "/api/tbShopSong",
    method: "put",
    data
  });
}
/**
 * 删除歌曲
 * @returns
 */
export function tbShopSongDel(ids) {
  return request({
    url: '/api/tbShopSong',
    method: 'delete',
    data: ids
  })
}
